JsonFastParser (Groovy 5.0.0)

Package: org.apache.groovy.json.internal

## [Java] Class JsonFastParser

- org.apache.groovy.json.internal.JsonFastParser

-     public class JsonFastParser
      extends JsonParserCharArray

  This works in index overlay mode or chop mode. Chop mode reduces possibility of memory leak but causes a few more buffer copies as it chops up the buffer.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JsonParserCharArray` | `FALSE, NULL, TRUE, __currentChar, __index, charArray`
    `class BaseJsonParser` | `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, LETTER_BIG_E, LETTER_E, MINUS, PLUS, bufSize, charset, internKeys, internedKeysCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonFastParser()`
    `JsonFastParser(boolean useValues)`
    `JsonFastParser(boolean useValues, boolean chop)`
    `JsonFastParser(boolean useValues, boolean chop, boolean lazyChop)`
    `JsonFastParser(boolean useValues, boolean chop, boolean lazyChop, boolean checkDates)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected final Object` | `decodeFromChars(char[] cs)`
    `` | `protected final Value` | `decodeJsonObjectLazyFinalParse()`
    `` | `protected Value` | `decodeValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JsonParserCharArray` | `complain, currentChar, decodeFalse, decodeFromChars, decodeJsonArray, decodeJsonObject, decodeNull, decodeTrue, decodeValue, exceptionDetails, hasCurrent, hasMore, nextChar, parse, skipWhiteSpace`
    `class BaseJsonParser` | `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

- - ### Constructor Detail

    - #### public JsonFastParser()

    - #### public JsonFastParser(boolean useValues)

    - #### public JsonFastParser(boolean useValues, boolean chop)

    - #### public JsonFastParser(boolean useValues, boolean chop, boolean lazyChop)

    - #### public JsonFastParser(boolean useValues, boolean chop, boolean lazyChop, boolean checkDates)

  - ### Method Detail

    - #### @Override
      protected final Object decodeFromChars(char[] cs)

    - #### protected final Value decodeJsonObjectLazyFinalParse()

    - #### @Override
      protected Value decodeValue()